import request from '@/utils/request'

// 查询小区管理人员和小区关联列表
export function listGroup(query) {
  return request({
    url: '/system/group/list',
    method: 'get',
    params: query
  })
}

// 查询小区管理人员和小区关联详细
export function getGroup(userId) {
  return request({
    url: '/system/group/' + userId,
    method: 'get'
  })
}

// 新增小区管理人员和小区关联
export function addGroup(data) {
  return request({
    url: '/system/group',
    method: 'post',
    data: data
  })
}

// 修改小区管理人员和小区关联
export function updateGroup(data) {
  return request({
    url: '/system/group',
    method: 'put',
    data: data
  })
}

// 删除小区管理人员和小区关联
export function delGroup(userId) {
  return request({
    url: '/system/group/' + userId,
    method: 'delete'
  })
}

// 导出小区管理人员和小区关联
export function exportGroup(query) {
  return request({
    url: '/system/group/export',
    method: 'get',
    params: query
  })
}